> ## Documentation Index
> Fetch the complete documentation index at: https://guides.affiliate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pool settings — get and update

> Retrieve or update the service and sync configuration for a pool.

## Get pool settings

**`GET /v1/pools/{id}/settings`**

### Path parameters

<ParamField path="id" type="string" required>
  ULID of the pool.
</ParamField>

***

## Update pool settings

**`PATCH /v1/pools/{id}/settings`**

### Path parameters

<ParamField path="id" type="string" required>
  ULID of the pool.
</ParamField>

### Body parameters

<ParamField body="merchant_sync_enabled" type="boolean">
  Whether merchants are automatically synced for this pool.
</ParamField>

<ParamField body="include_merchants_without_products" type="boolean">
  Whether to include merchants that currently have no products.
</ParamField>

<ParamField body="offer_link_service" type="string">
  Link service to use for offer URLs.
</ParamField>

<ParamField body="link_service_key" type="string">
  API key for the configured link service.
</ParamField>

<ParamField body="default_url_format" type="string">
  Default URL format for product links (e.g. `"affiliate"`).
</ParamField>

### Example request

```json theme={null}
{
  "merchant_sync_enabled": true,
  "include_merchants_without_products": false,
  "offer_link_service": "skimlinks",
  "link_service_key": "your_link_service_key",
  "default_url_format": "affiliate"
}
```
